Bug 697847 - No way to get back to root Content Source or Repositories pages from within UI
No way to get back to root Content Source or Repositories pages from within UI
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3-content
  Show dependency treegraph
 
Reported: 2011-04-19 08:46 EDT by Corey Welton
Modified: 2013-09-09 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 04:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-04-19 08:46:58 EDT
Description of problem:
If user starts working his way down into the Content Source or Repositories workflows, there is no "Back" element to return to the top-level.  Clicking either of these in the left pane does not return user to top-level.  User must navigate elsewhere in the UI in order to be able to return.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Administration > Content Sources
2.  Perform some action that delves deeper into content sources -- click a CS, or begin creating a new one.
3.  Observe there is no "Back to Content Sources" sort of element in the UI.
4. Attempt once again to go to Administration > Content Sources
  
Actual results:
Nothing happens.

Expected results:
As there is no "Go back" element, navigating in the UI back to "Administration > Content Sources" should at least take user back to root workflow view.

Additional info:
These steps are for Content Sources, but the same thing occurs for Repositories.
Comment 1 Lukas Krejci 2011-04-25 11:49:26 EDT
At least in Firefox, the browser's back button should work (unless the user has submitted some stuff and the browser would start asking for resubmission of data).
Comment 2 Heiko W. Rupp 2013-09-09 04:56:47 EDT
Clicking in the left tree in the GWT UI into another item and then back on the original one brings you back on track in rhq 4.9.

We will rewrite this whole content section in the future, so closing this issue.

Note You need to log in before you can comment on or make changes to this bug.